# $Id: PuTTY.make,v 1.1.2.8 1999/03/07 23:15:56 ben Exp $
# This is the Makefile for building PuTTY for the Mac OS.
# Users of non-Mac systems will see some pretty strange characters around.

MAKEFILE     = PuTTY.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =
Sym68K      = 
ObjDir68K   =

COptions     = {Includes} {Sym68K} -proto strict -opt all

Objects68K  = 
		"{ObjDir68K}mac.c.o" 
		"{ObjDir68K}maccfg.c.o" 
		"{ObjDir68K}macterm.c.o" 
		"{ObjDir68K}misc.c.o" 
#		"{ObjDir68K}ssh.c.o" 
#		"{ObjDir68K}sshcrc.c.o" 
#		"{ObjDir68K}sshdes.c.o" 
#		"{ObjDir68K}sshmd5.c.o" 
#		"{ObjDir68K}sshrand.c.o" 
#		"{ObjDir68K}sshrsa.c.o" 
#		"{ObjDir68K}sshsha.c.o" 
#		"{ObjDir68K}telnet.c.o" 
		"{ObjDir68K}terminal.c.o" 
		"{ObjDir68K}testback.c.o"


PuTTY  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c 'pTTY' 
		#"{Libraries}MathLib.o" 
		#"{CLibraries}Complex.o" 
		"{CLibraries}StdCLib.o" 
		"{Libraries}MacRuntime.o" 
		"{Libraries}IntEnv.o" 
		#"{Libraries}ToolLibs.o" 
		"{Libraries}Interface.o"


PuTTY  {MondoBuild} mac_res.r macresid.h
	Rez mac_res.r -o {Targ} {Includes} -append


"{ObjDir68K}mac.c.o"  {MondoBuild} mac.c putty.h mac.h macresid.h
	{C} mac.c -o {Targ} {COptions}

"{ObjDir68K}maccfg.c.o"  {MondoBuild} maccfg.c putty.h mac.h macresid.h
	{C} maccfg.c -o {Targ} {COptions}

"{ObjDir68K}macterm.c.o"  {MondoBuild} macterm.c mac.h putty.h
	{C} macterm.c -o {Targ} {COptions}

"{ObjDir68K}misc.c.o"  {MondoBuild} misc.c putty.h
	{C} misc.c -o {Targ} {COptions}

"{ObjDir68K}ssh.c.o"  {MondoBuild} ssh.c
	{C} ssh.c -o {Targ} {COptions}

"{ObjDir68K}sshcrc.c.o"  {MondoBuild} sshcrc.c
	{C} sshcrc.c -o {Targ} {COptions}

"{ObjDir68K}sshdes.c.o"  {MondoBuild} sshdes.c
	{C} sshdes.c -o {Targ} {COptions}

"{ObjDir68K}sshmd5.c.o"  {MondoBuild} sshmd5.c
	{C} sshmd5.c -o {Targ} {COptions}

"{ObjDir68K}sshrand.c.o"  {MondoBuild} sshrand.c
	{C} sshrand.c -o {Targ} {COptions}

"{ObjDir68K}sshrsa.c.o"  {MondoBuild} sshrsa.c
	{C} sshrsa.c -o {Targ} {COptions}

"{ObjDir68K}sshsha.c.o"  {MondoBuild} sshsha.c
	{C} sshsha.c -o {Targ} {COptions}

"{ObjDir68K}telnet.c.o"  {MondoBuild} telnet.c
	{C} telnet.c -o {Targ} {COptions}

"{ObjDir68K}terminal.c.o"  {MondoBuild} terminal.c putty.h
	{C} terminal.c -o {Targ} {COptions}

"{ObjDir68K}testback.c.o"  {MondoBuild} testback.c putty.h
	{C} testback.c -o {Targ} {COptions}

